Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface PaymentTransaction

All Superinterfaces
  BusinessSmartComponent, javax.ejb.EJBObject, Entity, Remote, RemoteRelationalReference, Serializable

Deprecated

    @Deprecated
    public interface PaymentTransaction

extends Entity

A `PaymentTransaction` is an Entity EJB that maintains the state of an individual Credit Card transaction. This includes the credit card, amount, status, and date of last modification. It also maintains a journal of the actions in the form of `TransactionEntry` objects taken as the transaction is moved through authorization, capture, and settlement.
The transaction workflow is dictated by the `PaymentWorkflow` state machine.

See Also
  `PaymentTransactionPk`, `PaymentTransactionHome`, `PaymentTransactionValue`, `TransactionEntry`, `PaymentWorkflow`

Method Summary
`boolean` | `addTransactionEntry(TransactionEntry element)` Deprecated Adds a new TransactionEntry to the journal.
`boolean` | `addTransactionEntryCollection(Collection collection)` Deprecated Adds all of the TransactionEntries to the journal.
`void` | `authorize()` Deprecated Change the state of the payment transaction by applying the authorize event.
`void` | `clearTransactionEntryCollection()` Deprecated Removes all of the transaction entries from the journal.
`boolean` | `containsTransactionEntry(TransactionEntry element)` Deprecated Returns true if this collection contains the specified element.
`boolean` | `containsTransactionEntryCollection(Collection c)` Deprecated Returns true if this collection contains all of the elements in the specified collection.
`boolean` | `equalsTransactionEntryCollection(Object object)` Deprecated Compares the specified object with this collection for equality.
`void` | `failRetry()` Deprecated Change the state of the payment transaction by applying the failRetry event.
`void` | `failSettle()` Deprecated Change the state of the payment transaction by applying the failSettle event.
`String` | `getBatchId()` Deprecated Get the value of the identifier for the batch in which this Payment was settled.
`com.beasys.commerce.axiom.contact.CreditCard` | `getCreditCard()` Deprecated Get the credit card information associated with the transaction.
`PaymentTransactionValue` | `getPaymentTransactionByValue()` Deprecated Retrieve a local copy of all of the public attributes in the form of a `PaymentTransactionValue` object.
`String` | `getStatus()` Deprecated Retrieve the status of this payment.
`Price` | `getTransactionAmount()` Deprecated Get the amount of the transaction.
`Date` | `getTransactionDate()` Deprecated Get the date that the transaction was last updated.
`Collection` | `getTransactionEntryCollection()` Deprecated Returns a history of the modifications to this transaction.
`String` | `getTransactionId()` Deprecated Get the transaction's identifier.
`boolean` | `isTransactionEntryCollectionEmpty()` Deprecated Returns true if this collection contains no elements.
`void` | `markForSettle()` Deprecated Change the state of the payment transaction by applying the markForSettle event.
`void` | `pendingSettle()` Deprecated Change the state of the payment transaction by applying the pendingSettle event.
`void` | `queryFail()` Deprecated Change the state of the payment transaction by applying the queryFail event.
`void` | `querySuccess()` Deprecated Change the state of the payment transaction by applying the querySuccess event.
`void` | `reject()` Deprecated Change the state of the payment transaction by applying the reject event.
`boolean` | `removeTransactionEntry(TransactionEntry element)` Deprecated Removes a single instance of the specified element from this collection, if it is present (optional operation).
`boolean` | `removeTransactionEntryCollection(Collection collection)` Deprecated Removes all this collection's elements that are also contained in the specified collection (optional operation).
`boolean` | `retainTransactionEntryCollection(Collection collection)` Deprecated Retains only the elements in this collection that are contained in the specified collection (optional operation).
`void` | `setBatchId(String batchId)` Deprecated Set the value of the identifier for the batch in which this Payment was settled.
`void` | `setCreditCard(com.beasys.commerce.axiom.contact.CreditCard creditCard)` Deprecated Set the credit card information associated with the transaction
`void` | `setPaymentTransactionByValue(PaymentTransactionValue value)` Deprecated Update all of the public attributes of a PaymentTransaction with a single method invocation.
`void` | `settle()` Deprecated Change the state of the payment transaction by applying the settle event.
`void` | `setTransactionAmount(Price transactionAmount)` Deprecated Set the amount of the transaction.
`void` | `setTransactionDate(Date transactionDate)` Deprecated Set the modification date for the PaymentTransaction
`void` | `setTransactionEntryCollection(Collection collection)` Deprecated Update the journal of the modifications for this transaction.
`void` | `systemFailure()` Deprecated Change the state of the payment transaction by applying the systemFailure event.
`int` | `transactionEntryCollectionHashCode()` Deprecated Returns the hash code value for this collection.
`int` | `transactionEntryCollectionSize()` Deprecated Returns the number of elements in this collection.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Method Detail

### getPaymentTransactionByValue

    PaymentTransactionValue getPaymentTransactionByValue()
                                                         throws RemoteException

  Deprecated
  Retrieve a local copy of all of the public attributes in the form of a `PaymentTransactionValue` object. This reduces the number of remote method invocations needed to retrieve all of the information associated with this Entity.

  Returns
    PaymentTransactionValue The PaymentTransaction value object
  Throws
    `RemoteException` - On remote error.

### setPaymentTransactionByValue

    void setPaymentTransactionByValue(PaymentTransactionValue value)
                                      throws RemoteException

  Deprecated
  Update all of the public attributes of a PaymentTransaction with a single method invocation. Note: Primary key attributes are not set.

  Parameters
    `PaymentTransactionValue` - the PaymentTransaction value object
  Throws
    `RemoteException` - On remote error.

### getTransactionId

    String getTransactionId()
                            throws RemoteException

  Deprecated
  Get the transaction's identifier. This is the primary key for the Entity.

  Parameters
    `PaymentTransactionValue` - the PaymentTransaction value object
  Throws
    `RemoteException` - On remote error.

### getCreditCard

    com.beasys.commerce.axiom.contact.CreditCard getCreditCard()
                                                               throws RemoteException

  Deprecated
  Get the credit card information associated with the transaction.

  Returns
    creditCard the credit card associated with the transaction.
  Throws
    `RemoteException` - On remote error.

### setCreditCard

    void setCreditCard(com.beasys.commerce.axiom.contact.CreditCard creditCard)
                       throws RemoteException

  Deprecated
  Set the credit card information associated with the transaction

  Parameters
    `creditCard` - the new credit card information
  Throws
    `RemoteException` - On remote error.

### getTransactionDate

    Date getTransactionDate()
                            throws RemoteException

  Deprecated
  Get the date that the transaction was last updated.

  Returns
    transactionDate the transaction date.
  Throws
    `RemoteException` - On remote error.

### setTransactionDate

    void setTransactionDate(Date transactionDate)
                            throws RemoteException

  Deprecated
  Set the modification date for the PaymentTransaction

  Parameters
    `transactionDate` - the transaction date to be set.
  Throws
    `RemoteException` - On remote error.

### getTransactionEntryCollection

    Collection getTransactionEntryCollection()
                                             throws RemoteException

  Deprecated
  Returns a history of the modifications to this transaction.

  Returns
    a collection of `TransactionEntry` objects.
  Throws
    `RemoteException` - On remote error.

### setTransactionEntryCollection

    void setTransactionEntryCollection(Collection collection)
                                       throws RemoteException

  Deprecated
  Update the journal of the modifications for this transaction.

  Parameters
    `collection` - a collection of `TransactionEntry` objects.
  Throws
    `RemoteException` - On remote error.

### addTransactionEntry

    boolean addTransactionEntry(TransactionEntry element)
                                throws RemoteException

  Deprecated
  Adds a new TransactionEntry to the journal.

  Parameters
    `element` - The Transaction entry to add.
  Returns
    true if the collection was modified as a result of the operation.
  Throws
    `RemoteException` - On remote error.

### addTransactionEntryCollection

    boolean addTransactionEntryCollection(Collection collection)
                                          throws RemoteException

  Deprecated
  Adds all of the TransactionEntries to the journal.

  Parameters
    `collection` - a collection of `TransactionEntry` objects.
  Returns
    true if the collection was modified as a result of the operation.
  Throws
    `RemoteException` - On remote error.

### clearTransactionEntryCollection

    void clearTransactionEntryCollection()
                                         throws RemoteException

  Deprecated
  Removes all of the transaction entries from the journal.

  Throws
    `RemoteException` - On remote error.

### containsTransactionEntry

    boolean containsTransactionEntry(TransactionEntry element)
                                     throws RemoteException

  Deprecated
  Returns true if this collection contains the specified element.

  Throws
    `RemoteException`

### containsTransactionEntryCollection

    boolean containsTransactionEntryCollection(Collection c)
                                               throws RemoteException

  Deprecated
  Returns true if this collection contains all of the elements in the specified collection.

  Throws
    `RemoteException`

### equalsTransactionEntryCollection

    boolean equalsTransactionEntryCollection(Object object)
                                             throws RemoteException

  Deprecated
  Compares the specified object with this collection for equality.

  Throws
    `RemoteException`

### transactionEntryCollectionHashCode

    int transactionEntryCollectionHashCode()
                                           throws RemoteException

  Deprecated
  Returns the hash code value for this collection.

  Throws
    `RemoteException`

### isTransactionEntryCollectionEmpty

    boolean isTransactionEntryCollectionEmpty()
                                              throws RemoteException

  Deprecated
  Returns true if this collection contains no elements.

  Throws
    `RemoteException`

### removeTransactionEntry

    boolean removeTransactionEntry(TransactionEntry element)
                                   throws RemoteException

  Deprecated
  Removes a single instance of the specified element from this collection, if it is present (optional operation).

  Throws
    `RemoteException`

### removeTransactionEntryCollection

    boolean removeTransactionEntryCollection(Collection collection)
                                             throws RemoteException

  Deprecated
  Removes all this collection's elements that are also contained in the specified collection (optional operation).

  Throws
    `RemoteException`

### retainTransactionEntryCollection

    boolean retainTransactionEntryCollection(Collection collection)
                                             throws RemoteException

  Deprecated
  Retains only the elements in this collection that are contained in the specified collection (optional operation).

  Throws
    `RemoteException`

### transactionEntryCollectionSize

    int transactionEntryCollectionSize()
                                       throws RemoteException

  Deprecated
  Returns the number of elements in this collection.

  Throws
    `RemoteException`

### getBatchId

    String getBatchId()
                      throws RemoteException

  Deprecated
  Get the value of the identifier for the batch in which this Payment was settled.

  Returns
    batchId
  Throws
    `RemoteException`

### setBatchId

    void setBatchId(String batchId)
                    throws RemoteException

  Deprecated
  Set the value of the identifier for the batch in which this Payment was settled.

  Parameters
    `batchId` - batchId to be added
  Throws
    `RemoteException`

### getStatus

    String getStatus()
                     throws RemoteException

  Deprecated
  Retrieve the status of this payment. The series of states will be as governed by the `PaymentWorkflow`

  Throws
    `RemoteException`

### getTransactionAmount

    Price getTransactionAmount()
                               throws RemoteException

  Deprecated
  Get the amount of the transaction.

  Returns
    transactionAmount.
  Throws
    `RemoteException`

### setTransactionAmount

    void setTransactionAmount(Price transactionAmount)
                              throws RemoteException

  Deprecated
  Set the amount of the transaction.

  Parameters
    `transactionAmount` - the amount of the transaction.
  Throws
    `RemoteException`

### authorize

    void authorize()
                   throws RemoteException,
                          WorkflowInstantiationException,
                          IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the authorize event. This method is invoked prior to atempting the authorize operation and will throw an exception if the operation is being executed out of sequence.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### reject

    void reject()
                throws RemoteException,
                       WorkflowInstantiationException,
                       IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the reject event. This method is invoked when an authorization atempt is rejected.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### failSettle

    void failSettle()
                    throws RemoteException,
                           WorkflowInstantiationException,
                           IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the failSettle event. This method is invoked prior when an settle operation fails.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### markForSettle

    void markForSettle()
                       throws RemoteException,
                              WorkflowInstantiationException,
                              IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the markForSettle event. This method is invoked prior to atempting the capture operation and will throw an exception if the operation is being executed out of sequence.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### settle

    void settle()
                throws RemoteException,
                       WorkflowInstantiationException,
                       IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the settle event. This method is invoked prior to atempting the settle operation and will throw an exception if the operation is being executed out of sequence.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### pendingSettle

    void pendingSettle()
                       throws RemoteException,
                              WorkflowInstantiationException,
                              IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the pendingSettle event. This method is invoked when a transaction is successfully moved to the pending settle state.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### querySuccess

    void querySuccess()
                      throws RemoteException,
                             WorkflowInstantiationException,
                             IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the querySuccess event. This method is invoked when the status of a batch transaction is successfully verified.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### queryFail

    void queryFail()
                   throws RemoteException,
                          WorkflowInstantiationException,
                          IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the queryFail event. This method is invoked when the status of a batch transaction faile to be verified.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### systemFailure

    void systemFailure()
                       throws RemoteException,
                              WorkflowInstantiationException,
                              IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the systemFailure event. This method is invoked when an operation fails due to a problem with the credit card service.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

### failRetry

    void failRetry()
                   throws RemoteException,
                          WorkflowInstantiationException,
                          IllegalWorkflowTransitionException

  Deprecated
  Change the state of the payment transaction by applying the failRetry event. This method is invoked when a retry of an authorization fails.

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.